
Figure - Bug #118559
IOVDEV-32749【内部】【VC1】【0106】【台架】【EE环境】【副屏】【第三方应用】抖音app，点击转发出
现小窗状态栏错误
2023-06-05 20:59 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-05

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 由于抖音app对代码进行了混淆,导致创建Dialog的类是乱码,无法通过getClass或者其他方式判断它是Dialog的实例,导致出现异常

Description

【环境信息】：EE环境

【问题出现时间】：2023/06/05 18:30 第203次开机

【前提条件】：电源ON

【操作步骤】：

1、抖音app

2、点击转发

【实际结果】

出现小窗状态栏错误

【期望结果】

展示正常

【备注】：

【应用版本】：

【硬件版本号】：不涉及

【副屏版本号】：01.00.0106.C104

【中控版本号】：03.02.0088.C103.02_userdebug_2306021732

【中控VIN】HRYTTESTVINMGM403

【第三方应用版本号】抖音 25.4.0

录屏&log:https://ofs.human-horizons.com/#/download/index/IqEggDV0Qmg%3D

History

#1 - 2023-06-05 21:00 - CD TEST-方永红

- File 抖音app，点击转发出现小窗状态栏错误.7z added

#2 - 2023-06-06 19:48 - CD FW-鲁凯峰

■ My analysis

对BottomSheetDialog没有判断到,导致在Dialog上显示了工具栏
■ Next Action

想办法添加对BottomSheetDialog的判断,不显示工具栏

#3 - 2023-06-07 15:32 - CD FW-鲁凯峰

■ My analysis

BottomSheetDialog是androidx包里面的,不好导入到framework下面,目前还在想其他的办法解决这个

#4 - 2023-06-07 19:18 - CD FW-鲁凯峰

- Root cause set to 由于抖音app对代码进行了混淆,导致创建Dialog的类是乱码,无法通过getClass或者其他方式判断它是Dialog的实例,导致出现异常

■ Current conclusion

问题已经解决

■ My analysis

由于抖音app对代码进行了混淆,导致创建Dialog的类是乱码,无法通过getClass或者其他方式判断它是Dialog的实例,导致出现异常

在Window中添加额外的方法来判断是否为dialog

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/205527

#5 - 2023-06-08 10:34 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

205527 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: add dialog checkadd dialog check because dialog class will be confusedTC-RID: 1201-0204601IssueID: TS-R-BUG-118559Change-Id:

Ifc76607c65a503dc4172d6a9a41ebdf96859d7b2

#6 - 2023-06-08 10:35 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

#7 - 2023-06-09 14:49 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

在 FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306090153 版本验证通过

#8 - 2023-06-25 15:33 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
Files

抖音app，点击转发出现小窗状态栏错误.7z 19.6 MB 2023-06-05 CD TEST-方永红
